module Enzyme_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libEnzyme
const libEnzyme_path = "/usr/lib/libEnzyme-22.so"
libEnzyme_handle = C_NULL
get_libEnzyme_path() = libEnzyme_path
const libEnzyme = "libEnzyme-22.so"
export libEnzymeBCLoad
const libEnzymeBCLoad_path = "/usr/lib/libEnzymeBCLoad-22.so"
libEnzymeBCLoad_handle = C_NULL
get_libEnzymeBCLoad_path() = libEnzymeBCLoad_path
const libEnzymeBCLoad = "libEnzymeBCLoad-22.so"
function __init__()
    global libEnzyme_handle = dlopen(libEnzyme_path)
    global libEnzymeBCLoad_handle = dlopen(libEnzymeBCLoad_path)
end
end
